Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AntiEntropyService.Differencer

    java.lang.Object
      org.apache.cassandra.service.AntiEntropyService.Differencer

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AntiEntropyService

    public static class AntiEntropyService.Differencer

extends java.lang.Object
implements java.lang.Runnable

Compares two trees, and launches repairs for disagreeing ranges.

Field Summary
`org.apache.cassandra.service.AntiEntropyService.CFPair` | `cf`
`java.util.List<MerkleTree.TreeRange>` | `differences`
`java.net.InetAddress` | `local`
`MerkleTree` | `ltree`
`java.net.InetAddress` | `remote`
`MerkleTree` | `rtree`

Constructor Summary
`AntiEntropyService.Differencer(org.apache.cassandra.service.AntiEntropyService.CFPair cf, java.net.InetAddress local, java.net.InetAddress remote, MerkleTree ltree, MerkleTree rtree)`

Method Summary
`void` | `run()` Compares our trees, and triggers repairs for any ranges that mismatch.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cf

    public final org.apache.cassandra.service.AntiEntropyService.CFPair cf

### local

    public final java.net.InetAddress local

### remote

    public final java.net.InetAddress remote

### ltree

    public final MerkleTree ltree

### rtree

    public final MerkleTree rtree

### differences

    public final java.util.List<MerkleTree.TreeRange> differences

Constructor Detail

### AntiEntropyService.Differencer

    public AntiEntropyService.Differencer(org.apache.cassandra.service.AntiEntropyService.CFPair cf,
                                          java.net.InetAddress local,
                                          java.net.InetAddress remote,
                                          MerkleTree ltree,
                                          MerkleTree rtree)

Method Detail

### run

    public void run()

  Compares our trees, and triggers repairs for any ranges that mismatch.

  Specified by:
    `run` in interface `java.lang.Runnable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation